# Uses of Interface
org.opensaml.saml.common.binding.artifact.SAMLArtifactMap

Packages that use SAMLArtifactMap
Package
Description
org.opensaml.saml.common.binding.artifact.impl
Implementation of SAML artifact mapping.
org.opensaml.saml.saml1.binding.encoding.impl
SAML 1.x message encoders.
org.opensaml.saml.saml1.binding.impl
General message handlers for SAML 1.x.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.
org.opensaml.saml.saml2.binding.encoding.impl
SAML 2.0 message encoders.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of SAMLArtifactMap in org.opensaml.saml.common.binding.artifact.impl

Classes in org.opensaml.saml.common.binding.artifact.impl that implement SAMLArtifactMap
Modifier and Type
Class
Description
`class`
`BasicSAMLArtifactMap`
Basic artifact map implementation.
`class`
`StorageServiceSAMLArtifactMap`
Artifact map implementation backed by `StorageService`.

## Uses of SAMLArtifactMap in org.opensaml.saml.saml1.binding.encoding.impl

Fields in org.opensaml.saml.saml1.binding.encoding.impl declared as SAMLArtifactMap
Modifier and Type
Field
Description
`private SAMLArtifactMap`
HTTPArtifactEncoder.`artifactMap`
SAML artifact map used to store created artifacts for later retrival.
Methods in org.opensaml.saml.saml1.binding.encoding.impl that return SAMLArtifactMap
Modifier and Type
Method
Description
`SAMLArtifactMap`
HTTPArtifactEncoder.`getArtifactMap()`
Get the SAML artifact map to use.
Methods in org.opensaml.saml.saml1.binding.encoding.impl with parameters of type SAMLArtifactMap
Modifier and Type
Method
Description
`void`
HTTPArtifactEncoder.`setArtifactMap(SAMLArtifactMap newArtifactMap)`
Set the SAML artifact map to use.

## Uses of SAMLArtifactMap in org.opensaml.saml.saml1.binding.impl

Fields in org.opensaml.saml.saml1.binding.impl declared as SAMLArtifactMap
Modifier and Type
Field
Description
`private SAMLArtifactMap`
SAML1ArtifactRequestIssuerHandler.`artifactMap`
Protocol value to add to context.
Methods in org.opensaml.saml.saml1.binding.impl with parameters of type SAMLArtifactMap
Modifier and Type
Method
Description
`void`
SAML1ArtifactRequestIssuerHandler.`setArtifactMap(SAMLArtifactMap map)`
Set the artifact map to use.

## Uses of SAMLArtifactMap in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl declared as SAMLArtifactMap
Modifier and Type
Field
Description
`private SAMLArtifactMap`
ResolveArtifacts.`artifactMap`
Artifact mapper.
Methods in org.opensaml.saml.saml1.profile.impl with parameters of type SAMLArtifactMap
Modifier and Type
Method
Description
`void`
ResolveArtifacts.`setArtifactMap(SAMLArtifactMap map)`
Set the artifact map to use.

## Uses of SAMLArtifactMap in org.opensaml.saml.saml2.binding.encoding.impl

Fields in org.opensaml.saml.saml2.binding.encoding.impl declared as SAMLArtifactMap
Modifier and Type
Field
Description
`private SAMLArtifactMap`
HTTPArtifactEncoder.`artifactMap`
SAML artifact map used to store created artifacts for later retrieval.
Methods in org.opensaml.saml.saml2.binding.encoding.impl that return SAMLArtifactMap
Modifier and Type
Method
Description
`SAMLArtifactMap`
HTTPArtifactEncoder.`getArtifactMap()`
Get the SAML artifact map to use.
Methods in org.opensaml.saml.saml2.binding.encoding.impl with parameters of type SAMLArtifactMap
Modifier and Type
Method
Description
`void`
HTTPArtifactEncoder.`setArtifactMap(SAMLArtifactMap newArtifactMap)`
Set the SAML artifact map to use.

## Uses of SAMLArtifactMap in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl declared as SAMLArtifactMap
Modifier and Type
Field
Description
`private SAMLArtifactMap`
ResolveArtifact.`artifactMap`
Artifact mapper.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type SAMLArtifactMap
Modifier and Type
Method
Description
`void`
ResolveArtifact.`setArtifactMap(SAMLArtifactMap map)`
Set the artifact map to use.